Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.sos
Class WFSRequestGenerator

    java.lang.Object
      org.deegree.ogcwebservices.sos.WFSRequestGenerator

    public class WFSRequestGenerator

extends Object

generate the wfs requests

Author:
  Matthias Kulbe , Andreas Poth

Constructor Summary
`WFSRequestGenerator()`

Method Summary
`static Document` | `createBBoxWFSRequest(Envelope bbox, QualifiedName featureTypeName, QualifiedName coordPropertyName)`
`static Document` | `createIsLikeOperationWFSRequest(String[] literals, QualifiedName featureType, QualifiedName propertyName)` creates a WFS Request with one or more isLike Operations
`static Document` | `createObservationWFSRequest(Object[] times, QualifiedName featureTypeName, QualifiedName timePropertyName, Operation filterOperation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WFSRequestGenerator

    public WFSRequestGenerator()

Method Detail

### createIsLikeOperationWFSRequest

    public static Document createIsLikeOperationWFSRequest(String[] literals,
                                                           QualifiedName featureType,
                                                           QualifiedName propertyName)
                                                    throws IOException,
                                                           SAXException,
                                                           XMLParsingException

  creates a WFS Request with one or more isLike Operations

  Parameters:
    `literals` -
    `featureType` -
    `propertyName` -
  Returns:
    the request
  Throws:
    `IOException`
    `SAXException`
    `XMLParsingException`

### createBBoxWFSRequest

    public static Document createBBoxWFSRequest(Envelope bbox,
                                                QualifiedName featureTypeName,
                                                QualifiedName coordPropertyName)
                                         throws IOException,
                                                SAXException,
                                                XMLParsingException,
                                                GeometryException

  Parameters:
    `bbox` -
    `featureTypeName` -
    `coordPropertyName` -
  Returns:
    the request
  Throws:
    `IOException`
    `SAXException`
    `XMLParsingException`
    `GeometryException`

### createObservationWFSRequest

    public static Document createObservationWFSRequest(Object[] times,
                                                       QualifiedName featureTypeName,
                                                       QualifiedName timePropertyName,
                                                       Operation filterOperation)
                                                throws IOException,
                                                       SAXException,
                                                       XMLParsingException

  Parameters:
    `times` -
    `featureTypeName` -
    `timePropertyName` -
    `filterOperation` -
  Returns:
    the request
  Throws:
    `IOException`
    `SAXException`
    `XMLParsingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org